Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(46)

Issue 106310043: Protocol, UI and smoke test for Primary <-> Replica linking process. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
10 years ago by vadimsh
Modified:
6 months, 1 week ago
Reviewers:
tricube19842103, M-A
CC:
omomdo1_googlegroups.com
Base URL:
https://code.google.com/p/swarming/@master
Visibility:
Public.

Description

Protocol, UI and smoke test for Primary <-> Replica linking process. The workflow to add a new auth db replica: 1. Admin of Primary goes to 'Services' page, enters app_id of the replica and clicks 'Generate linking URL'. 2. Auth service generates a link that looks like https://<replica-id>.appspot.com/auth/link?t=<base64>. 3. Admin (in GAE sense) of replica clicks this link and sees confirmation page. 4. Upon confirmation, replica contacts primary (via urlfetch), and if everything looks correct, they are now linked (know about each other and have a shared secret). R=maruel@chromium.org BUG= Committed: https://code.google.com/p/swarming/source/detail?repo=default&r=01004cb

Patch Set 1 #

Total comments: 15

Patch Set 2 : #

Total comments: 22

Patch Set 3 : #

Total comments: 12

Patch Set 4 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+1294 lines, -27 lines) Patch
M PRESUBMIT.py View 1 1 chunk +1 line, -0 lines 0 comments Download
M services/auth_service/PRESUBMIT.py View 1 1 chunk +6 lines, -1 line 0 comments Download
A services/auth_service/common/replication.py View 1 1 chunk +42 lines, -0 lines 0 comments Download
M services/auth_service/frontend/handlers.py View 1 2 3 chunks +174 lines, -0 lines 0 comments Download
M services/auth_service/frontend/static/js/services.js View 1 chunk +79 lines, -1 line 0 comments Download
M services/auth_service/frontend/templates/services.html View 1 2 3 1 chunk +77 lines, -1 line 0 comments Download
A services/auth_service/tests/replica_app/app.yaml View 1 chunk +21 lines, -0 lines 0 comments Download
A services/auth_service/tests/replica_app/components View 1 chunk +1 line, -0 lines 0 comments Download
A services/auth_service/tests/replica_app/main.py View 1 chunk +23 lines, -0 lines 0 comments Download
A services/auth_service/tests/replication_smoke_test.py View 1 2 3 1 chunk +349 lines, -0 lines 0 comments Download
A + services/auth_service/tools/compile_proto.py View 1 2 chunks +3 lines, -3 lines 0 comments Download
M services/components/PRESUBMIT.py View 1 1 chunk +6 lines, -1 line 0 comments Download
M services/components/components/auth/model.py View 1 1 chunk +1 line, -1 line 0 comments Download
A + services/components/components/auth/proto/__init__.py View 0 chunks +-1 lines, --1 lines 0 comments Download
A services/components/components/auth/proto/replication.proto View 1 1 chunk +73 lines, -0 lines 0 comments Download
A services/components/components/auth/proto/replication_pb2.py View 1 1 chunk +194 lines, -0 lines 0 comments Download
A services/components/components/auth/replication.py View 1 2 3 1 chunk +101 lines, -0 lines 0 comments Download
M services/components/components/auth/ui/static/js/api.js View 1 chunk +3 lines, -0 lines 0 comments Download
A services/components/components/auth/ui/templates/linking.html View 1 1 chunk +33 lines, -0 lines 0 comments Download
A services/components/components/auth/ui/templates/linking_done.html View 1 1 chunk +19 lines, -0 lines 0 comments Download
M services/components/components/auth/ui/ui.py View 1 2 3 4 chunks +60 lines, -14 lines 0 comments Download
M services/components/support/gae_sdk_utils.py View 1 2 3 2 chunks +17 lines, -4 lines 0 comments Download
M services/isolate/PRESUBMIT.py View 1 1 chunk +6 lines, -1 line 0 comments Download
M services/swarming/PRESUBMIT.py View 1 1 chunk +6 lines, -1 line 0 comments Download

Messages

Total messages: 18
vadimsh
There're 3 chunks here: 1. Actual CL logic. 2. Smoke test. 3. PRESUBMIT.py modification to ...
10 years ago (2014-06-29 21:53:17 UTC) #1
vadimsh
btw, runs here: https://818-2bc3ef0-tainted-vadimsh-dot-chrome-infra-auth-dev.appspot.com/auth/services But there's no second service running this code as a default ...
10 years ago (2014-06-29 22:06:25 UTC) #2
M-A
https://codereview.appspot.com/106310043/diff/1/PRESUBMIT.py File PRESUBMIT.py (right): https://codereview.appspot.com/106310043/diff/1/PRESUBMIT.py#newcode32 PRESUBMIT.py:32: excluded_paths=[r'.*_pb2\.py'], in theory, you'd want $ https://codereview.appspot.com/106310043/diff/1/services/auth_service/common/replication.py File services/auth_service/common/replication.py ...
10 years ago (2014-06-30 01:18:31 UTC) #3
vadimsh
https://codereview.appspot.com/106310043/diff/1/PRESUBMIT.py File PRESUBMIT.py (right): https://codereview.appspot.com/106310043/diff/1/PRESUBMIT.py#newcode32 PRESUBMIT.py:32: excluded_paths=[r'.*_pb2\.py'], On 2014/06/30 01:18:31, M-A wrote: > in theory, ...
10 years ago (2014-06-30 22:58:52 UTC) #4
M-A
https://codereview.appspot.com/106310043/diff/20001/services/auth_service/frontend/handlers.py File services/auth_service/frontend/handlers.py (right): https://codereview.appspot.com/106310043/diff/20001/services/auth_service/frontend/handlers.py#newcode162 services/auth_service/frontend/handlers.py:162: self.response.set_status(200) 200 is always implied, so it's not really ...
10 years ago (2014-07-01 01:06:35 UTC) #5
vadimsh
https://codereview.appspot.com/106310043/diff/20001/services/auth_service/frontend/handlers.py File services/auth_service/frontend/handlers.py (right): https://codereview.appspot.com/106310043/diff/20001/services/auth_service/frontend/handlers.py#newcode162 services/auth_service/frontend/handlers.py:162: self.response.set_status(200) On 2014/07/01 01:06:34, M-A wrote: > 200 is ...
10 years ago (2014-07-01 03:07:34 UTC) #6
M-A
lots of nit picking but nothing super important. lgtm. https://codereview.appspot.com/106310043/diff/20001/services/auth_service/tests/replication_smoke_test.py File services/auth_service/tests/replication_smoke_test.py (right): https://codereview.appspot.com/106310043/diff/20001/services/auth_service/tests/replication_smoke_test.py#newcode239 services/auth_service/tests/replication_smoke_test.py:239: ...
10 years ago (2014-07-01 13:00:42 UTC) #7
vadimsh
Replied to all comments. PTAL, esp at replication_smoke_test.py. https://codereview.appspot.com/106310043/diff/20001/services/auth_service/tests/replication_smoke_test.py File services/auth_service/tests/replication_smoke_test.py (right): https://codereview.appspot.com/106310043/diff/20001/services/auth_service/tests/replication_smoke_test.py#newcode239 services/auth_service/tests/replication_smoke_test.py:239: self.auth_service ...
10 years ago (2014-07-01 23:11:49 UTC) #8
M-A
lgtm
10 years ago (2014-07-02 01:27:17 UTC) #9
vadimsh
Committed patchset #4 manually as r01004cb (presubmit successful).
10 years ago (2014-07-02 02:42:32 UTC) #10
Omondo1
On 2014/06/29 21:53:17, vadimsh wrote: > There're 3 chunks here: > 1. Actual CL logic. ...
6 months, 4 weeks ago (2023-12-27 02:52:54 UTC) #11
Omondo1
On 2014/06/29 21:53:17, vadimsh wrote: > There're 3 chunks here: > 1. Actual CL logic. ...
6 months, 4 weeks ago (2023-12-27 02:53:22 UTC) #12
Omondo1
On 2014/06/29 21:53:17, vadimsh wrote: > There're 3 chunks here: > 1. Actual CL logic. ...
6 months, 4 weeks ago (2023-12-27 02:53:23 UTC) #13
Omondo1
On 2023/12/27 02:53:23, Omondo1 wrote: > On 2014/06/29 21:53:17, vadimsh wrote: > > There're 3 ...
6 months, 4 weeks ago (2023-12-27 02:53:38 UTC) #14
Omondo1
On 2023/12/27 02:53:23, Omondo1 wrote: > On 2014/06/29 21:53:17, vadimsh wrote: > > There're 3 ...
6 months, 4 weeks ago (2023-12-27 02:53:40 UTC) #15
Omondo1
On 2023/12/27 02:53:40, Omondo1 wrote: > On 2023/12/27 02:53:23, Omondo1 wrote: > > On 2014/06/29 ...
6 months, 4 weeks ago (2023-12-27 02:53:55 UTC) #16
Omondo1
Publish all my draft
6 months, 4 weeks ago (2023-12-27 02:59:56 UTC) #17
tricube19842103
6 months, 1 week ago (2024-01-18 01:11:22 UTC) #18
Message was sent while issue was closed.
|a.com/com.a/f.termin/termin.f/
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b